# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::Signature Struct Reference

`#include <types.h>`

Inheritance diagram for DBus::Signature:

## Public Member Functions

| Signature ()
| Signature (const std::string &s)
| Signature (const char *c)
Signature & | operator= (std::string &s)

## Detailed Description

Definition at line 53 of file types.h.

## Constructor & Destructor Documentation

## ◆ Signature() [1/3]

DBus::Signature::Signature | ( |  | ) |

inline

Definition at line 55 of file types.h.

Referenced by operator=().

## ◆ Signature() [2/3]

DBus::Signature::Signature | ( | const std::string & | s | ) |

inline

Definition at line 56 of file types.h.

## ◆ Signature() [3/3]

DBus::Signature::Signature | ( | const char * | c | ) |

inline

Definition at line 57 of file types.h.

## Member Function Documentation

## ◆ operator=()

Signature & DBus::Signature::operator= | ( | std::string & | s | ) |

inline

Definition at line 58 of file types.h.

References Signature().

The documentation for this struct was generated from the following file:

- types.h